commit:     9ae2dc1bf97cbd4bd2db3000e610dedfdd4e3160
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  7 17:00:42 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Wed Dec  7 17:03:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ae2dc1b

sys-process/lsof: handle combined header file tests #601432

 sys-process/lsof/lsof-4.89-r1.ebuild | 104 +++++++++++++++++++++++++++++++++++
 1 file changed, 104 insertions(+)

diff --git a/sys-process/lsof/lsof-4.89-r1.ebuild 
b/sys-process/lsof/lsof-4.89-r1.ebuild
new file mode 100644
index 00000000..f97df87
--- /dev/null
+++ b/sys-process/lsof/lsof-4.89-r1.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+inherit eutils flag-o-matic toolchain-funcs
+
+MY_P=${P/-/_}
+DESCRIPTION="Lists open files for running Unix processes"
+HOMEPAGE="ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/";
+SRC_URI="ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/${MY_P}.tar.bz2
+       ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/OLD/${MY_P}.tar.bz2
+       
http://www.mirrorservice.org/sites/lsof.itap.purdue.edu/pub/tools/unix/lsof/${MY_P}.tar.bz2";
+
+LICENSE="lsof"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~ppc-aix ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux 
~ppc-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples ipv6 rpc selinux static"
+
+RDEPEND="rpc? ( net-libs/libtirpc )
+       selinux? ( sys-libs/libselinux )"
+DEPEND="${RDEPEND}
+       rpc? ( virtual/pkgconfig )"
+
+S=${WORKDIR}/${MY_P}/${MY_P}_src
+
+src_unpack() {
+       unpack ${A}
+       cd ${MY_P} || die
+       unpack ./${MY_P}_src.tar
+}
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-4.85-cross.patch #432120
+       # fix POSIX compliance with `echo`
+       sed -i \
+               -e 's:echo -n:printf:' \
+               AFSConfig Configure Customize Inventory tests/CkTestDB || die
+       # Convert `test -r header.h` into a compile test.
+       # Make sure we convert `test ... -a ...` into two `test` commands
+       # so we can then convert both over into a compile test. #601432
+       sed -i -E \
+               -e '/if test .* -a /s: -a : \&\& test :g' \
+               -e '/test -r/s:test -r 
\$\{LSOF_INCLUDE\}/([[:alnum:]/._]*):echo "#include <\1>" | ${LSOF_CC} 
${LSOF_CFGF} -E - >/dev/null 2>\&1:g' \
+               -e 's:grep (.*) \$\{LSOF_INCLUDE\}/([[:alnum:]/._]*):echo 
"#include <\2>" | ${LSOF_CC} ${LSOF_CFGF} -E -P -dD - 2>/dev/null | grep \1:' \
+               Configure || die
+}
+
+target() {
+       case ${CHOST} in
+       *-darwin*)  echo darwin  ;;
+       *-freebsd*) echo freebsd ;;
+       *-solaris*) echo solaris ;;
+       *-aix*)     echo aixgcc  ;;
+       *)          echo linux   ;;
+       esac
+}
+
+src_configure() {
+       use static && append-ldflags -static
+
+       append-cppflags $(use rpc && $(tc-getPKG_CONFIG) libtirpc --cflags || 
echo "-DHASNOTRPC -DHASNORPC_H")
+       append-cppflags $(usex ipv6 -{D,U}HASIPv6)
+
+       export LSOF_CFGL="${CFLAGS} ${LDFLAGS} \
+               $(use rpc && $(tc-getPKG_CONFIG) libtirpc --libs)"
+
+       # Set LSOF_INCLUDE to a dummy location so the script doesn't poke
+       # around in it and mix /usr/include paths with cross-compile/etc.
+       touch .neverInv
+       LINUX_HASSELINUX=$(usex selinux y n) \
+       LSOF_INCLUDE=${T} \
+       LSOF_CC=$(tc-getCC) \
+       LSOF_AR="$(tc-getAR) rc" \
+       LSOF_RANLIB=$(tc-getRANLIB) \
+       LSOF_CFGF="${CFLAGS} ${CPPFLAGS}" \
+       ./Configure -n $(target) || die
+}
+
+src_compile() {
+       emake DEBUG="" all
+}
+
+src_install() {
+       dobin lsof
+
+       if use examples ; then
+               insinto /usr/share/lsof/scripts
+               doins scripts/*
+       fi
+
+       doman lsof.8
+       dodoc 00*
+}
+
+pkg_postinst() {
+       if [[ ${CHOST} == *-solaris* ]] ; then
+               einfo "Note: to use lsof on Solaris you need read permissions 
on"
+               einfo "/dev/kmem, i.e. you need to be root, or to be in the 
group sys"
+       elif [[ ${CHOST} == *-aix* ]] ; then
+               einfo "Note: to use lsof on AIX you need read permissions on 
/dev/mem and"
+               einfo "/dev/kmem, i.e. you need to be root, or to be in the 
group system"
+       fi
+}

Reply via email to